Переход на более раннюю версию прошивки iOS после iOS 5 невозможен

В другом шаге, предполагающем, что iOS 5 нацелена на уничтожение взлома, печально известная команда разработчиков iPhone сообщает, что новые версии iOS 5 предотвращают понижение версии будущих версий iOS. Чтобы уточнить, пользователи по-прежнему смогут перейти с iOS 5 обратно на iOS 4 и другие прошивки до 5 с использованием более старых версий iTunes, но что-то вроде теоретической версии iOS 5.1 не сможет вернуться к прошивке iOS 5.

Объяснение этого будет иметь смысл для тех, кто знаком с тем, как работает джейлбрейк, но, вероятно, будет звучать как тарабарщина для тех, кто плохо знаком с процессом:

Начиная с бета-версии iOS5, роль «APTicket» меняется — он используется так же, как и «BBTicket». Этапы LLB и iBoot последовательности загрузки уточняются, чтобы зависеть от подлинности APTicket, который уникально генерируется при каждом восстановлении (другими словами, это зависит не только от вашего ECID и версии прошивки … он меняется каждый раз при восстановлении частично на основе случайного числа). Эта аутентификация APTicket будет происходить при каждой загрузке, а не только во время восстановления. Поскольку только у Apple есть криптографические ключи для правильной подписи APTicket на восстановление, повторные APTickets бесполезны.

Это повлияет только на восстановление, начиная с iOS5 и новее, и Apple сможет выключать и включать этот переключатель по желанию (открывая или закрывая окно подписи APTicket для этой прошивки, как они это делают для BBTicket).

Вы можете прочитать техническую Подробности о Blob Monster в блоге Dev Team. Они упоминают, что могут существовать способы «борьбы» с этим изменением, но из-за бета-статуса iOS 5 они не публикуют гораздо больше информации.

Похожие записи

Добавить комментарий

Ваш адрес email не будет опубликован. Обязательные поля помечены *